Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeDecrease.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeDecrease.cc	(revision 819)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeDecrease.cc	(revision 961)
@@ -24,42 +24,13 @@
 // ********************************************************************
 //
-//
-// $Id: G4CrossSectionChargeDecrease.cc,v 1.2 2007/11/09 20:11:04 pia Exp $
-// GEANT4 tag $Name:  $
-// 
-// Contact Author: Maria Grazia Pia (Maria.Grazia.Pia@cern.ch)
-//
-// Reference: TNS Geant4-DNA paper
-// Reference for implementation model: NIM. 155, pp. 145-156, 1978
-
-// History:
-// -----------
-// Date         Name              Modification
-// 28 Apr 2007  M.G. Pia          Created in compliance with design described in TNS paper
-//
-// -------------------------------------------------------------------
-
-// Class description:
-// Geant4-DNA Cross total cross section for electron elastic scattering in water
-// Reference: TNS Geant4-DNA paper
-// S. Chauvie et al., Geant4 physics processes for microdosimetry simulation:
-// design foundation and implementation of the first set of models,
-// IEEE Trans. Nucl. Sci., vol. 54, no. 6, Dec. 2007.
-// Further documentation available from http://www.ge.infn.it/geant4/dna
-
-// -------------------------------------------------------------------
-
+// $Id: G4CrossSectionChargeDecrease.cc,v 1.4 2008/07/14 20:47:34 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 
 #include "G4CrossSectionChargeDecrease.hh"
-#include "G4Track.hh"
-#include "G4DynamicParticle.hh"
-#include "G4Proton.hh"
-#include "G4CrossSectionExcitationEmfietzoglouPartial.hh"
-#include "G4DNAGenericIonsManager.hh"
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
 G4CrossSectionChargeDecrease::G4CrossSectionChargeDecrease()
 {
-  // Default energy limits (defined for protection against anomalous behaviour only)
-  name = "ChargeDecrease";
   lowEnergyLimitDefault = 1 * keV;
   highEnergyLimitDefault = 10 * MeV;
@@ -76,42 +47,44 @@
 
   if (protonDef != 0)
-    {
-      proton = protonDef->GetParticleName();
-      lowEnergyLimit[proton] = 1. * keV;
-      highEnergyLimit[proton] = 10. * keV;
-    }
+  {
+    proton = protonDef->GetParticleName();
+    lowEnergyLimit[proton] = 1. * keV;
+    highEnergyLimit[proton] = 10. * MeV;
+  }
   else
-    {
-      G4Exception("G4CrossSectionChargeDecrease Constructor: proton is not defined");
-    }
+  {
+    G4Exception("G4CrossSectionChargeDecrease Constructor: proton is not defined");
+  }
 
   if (alphaPlusPlusDef != 0)
-    {
-      alphaPlusPlus = alphaPlusPlusDef->GetParticleName();
-      lowEnergyLimit[alphaPlusPlus] = 1. * keV;
-      highEnergyLimit[alphaPlusPlus] = 10. * MeV;
-    }
+  {
+    alphaPlusPlus = alphaPlusPlusDef->GetParticleName();
+    lowEnergyLimit[alphaPlusPlus] = 1. * keV;
+    highEnergyLimit[alphaPlusPlus] = 10. * MeV;
+  }
   else
-    {
-      G4Exception("G4CrossSectionChargeDecrease Constructor: alphaPlusPlus is not defined");
-    }
+  {
+    G4Exception("G4CrossSectionChargeDecrease Constructor: alphaPlusPlus is not defined");
+  }
 
   if (alphaPlusDef != 0)
-    {
-      alphaPlus = alphaPlusDef->GetParticleName();
-      lowEnergyLimit[alphaPlus] = 1. * keV;
-      highEnergyLimit[alphaPlus] = 10. * MeV;
-    }
+  {
+    alphaPlus = alphaPlusDef->GetParticleName();
+    lowEnergyLimit[alphaPlus] = 1. * keV;
+    highEnergyLimit[alphaPlus] = 10. * MeV;
+  }
   else
-    {
-      G4Exception("G4CrossSectionChargeDecrease Constructor: alphaPlus is not defined");
-    }
+  {
+    G4Exception("G4CrossSectionChargeDecrease Constructor: alphaPlus is not defined");
+  }
 
 }
 
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
 G4CrossSectionChargeDecrease::~G4CrossSectionChargeDecrease()
 {}
  
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
 G4double G4CrossSectionChargeDecrease::CrossSection(const G4Track& track)
@@ -140,31 +113,25 @@
     G4Exception("G4CrossSectionChargeDecrease: attempting to calculate cross section for wrong particle");
 
-  // Retrieve energy limits for the current particle type
-
   std::map< G4String,G4double,std::less<G4String> >::iterator pos1;
   pos1 = lowEnergyLimit.find(particleName);
 
-  // Lower limit
   if (pos1 != lowEnergyLimit.end())
-    {
-      lowLim = pos1->second;
-    }
+  {
+    lowLim = pos1->second;
+  }
 
-  // Upper limit
   std::map< G4String,G4double,std::less<G4String> >::iterator pos2;
   pos2 = highEnergyLimit.find(particleName);
 
   if (pos2 != highEnergyLimit.end())
-    {
-      highLim = pos2->second;
-    }
-
-  //
+  {
+    highLim = pos2->second;
+  }
 
   G4double crossSection(0.);
   if (k >= lowLim && k <= highLim)
-    {
+  {
       crossSection = partialCrossSection.Sum(k,particleDefinition);
-    }
+  }
  
   return crossSection;
